<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('footers', function (Blueprint $table) {
            $table->id();
            $table->string('footer_tiittle')->nullable();
            $table->text('footer_address')->nullable();
            $table->string('footer_mail_id')->nullable();
            $table->string('footer_phone_num')->nullable();
            $table->string('footer_tele_num')->nullable();

            $table->json('pages')->nullable();

            $table->boolean('social_status')->default(true);
            $table->string('social_link_1')->nullable();
            $table->string('social_heading_1')->nullable();
            $table->string('social_link_2')->nullable();
            $table->string('social_heading_2')->nullable();
            $table->string('social_link_3')->nullable();
            $table->string('social_heading_3')->nullable();
            $table->string('social_link_4')->nullable();
            $table->string('social_heading_4')->nullable();

            $table->text('term_of_service')->nullable();
            $table->string('term_of_service_link')->nullable();
            $table->boolean('term_of_service_status')->default(true);

            $table->text('privacy_policy')->nullable();
            $table->string('privacy_policy_link')->nullable();
            $table->boolean('privacy_policy_status')->default(true);

            $table->text('copyright')->nullable();
            $table->boolean('copyright_status')->default(true);

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('footers');
    }
};
